### Method

# Qmi MessageNasGetCellLocationInfoOutput get_umts_info_v2_gir

since: 1.32

#### Declaration [src]

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_umts_info_v2_gir (
      QmiMessageNasGetCellLocationInfoOutput* self,
      guint16* value_umts_info_v2_cell_id,
      GArray** value_umts_info_v2_plmn,
      guint16* value_umts_info_v2_lac,
      guint16* value_umts_info_v2_utra_absolute_rf_channel_number,
      guint16* value_umts_info_v2_primary_scrambling_code,
      gint16* value_umts_info_v2_rscp,
      gint16* value_umts_info_v2_ecio,
      GPtrArray** value_umts_info_v2_cell_ptr,
      GPtrArray** value_umts_info_v2_neighboring_geran_ptr,
      GError** error
    )

#### Description [src]

Get the ‘UMTS Info v2’ field from `self`.

Version of `qmi_message_nas_get_cell_location_info_output_get_umts_info_v2()` using arrays of pointers to structs instead of arrays of structs, for easier binding in other languages.

Available since: 1.32

This method is renamed to `qmi_message_nas_get_cell_location_info_output_get_umts_info_v2()` in language bindings.

#### Parameters

`value_umts_info_v2_cell_id`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_info_v2_plmn`

  Type: An array of `guint8`

  A placeholder for the output `GArray` of #guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`value_umts_info_v2_lac`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_info_v2_utra_absolute_rf_channel_number`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_info_v2_primary_scrambling_code`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_info_v2_rscp`

  Type: `gint16*`

  A placeholder for the output #gint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_info_v2_ecio`

  Type: `gint16*`

  A placeholder for the output #gint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_info_v2_cell_ptr`

  Type: An array of `None`

  A placeholder for the output array of `QmiMessageNasGetCellLocationInfoOutputUmtsInfoV2CellElement` elements, or `NULL` if not required. Do not free or modify it, it is owned by `self`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`value_umts_info_v2_neighboring_geran_ptr`

  Type: An array of `None`

  A placeholder for the output array of `QmiMessageNasGetCellLocationInfoOutputUmtsInfoV2NeighboringGeranElement` elements, or `NULL` if not required. Do not free or modify it, it is owned by `self`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.